Page MenuHomePhabricator

WikiEditor styles are not loaded when editing any JS or CSS page
Closed, ResolvedPublic

Description

As the title says. When editing any page ending with .css or .js, ext.wikieditor.toolbar.styles module is simply not loaded, but the WikiEditor toolbar is there none-the-less.

The style governs the edit box line-height (1.5em) and resize behaviour (vertical). With these two rules missing, the edit box is vertically squished and can be resized horizontally. This results in inconsistent editing screens.

(edit:) I also note that the search/replace button is missing from the advaced toolbar.

Is this a possible conflict with CodeEditor (which I have disabeld BTW)?

Event Timeline

Edokter created this task.Apr 27 2015, 4:00 PM
Edokter raised the priority of this task from to Normal.
Edokter updated the task description. (Show Details)
Edokter added a project: WikiEditor.
Edokter added subscribers: Edokter, TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 4:00 PM
GOIII added a subscriber: GOIII.Apr 28 2015, 3:14 AM
GOIII added a comment.EditedApr 28 2015, 3:40 AM

Just to nip a possible issue from arising.... resize: vertical is not currently recognized by any version of Internet Explorer or Opera and will only "work" if an element has an overflow property set to anything but visible (note that the <textarea> element's overflow value is set to scroll by default so only browser recognition is of concern in this case)

The other thing is I'm pretty sure the exact name of the module not behaving here is ext.wikiEditor.toolbar.styles (which - I believe - should be loading ext.wikiEditor.toolbar.styles.less all the time -- unless CodeEditor is somehow designed to supersede that behavior for some reason)

Edokter updated the task description. (Show Details)Apr 28 2015, 8:32 AM
Edokter set Security to None.

It will work in Opera >12 (which is Webkit). The overflow condition only applies to non-textareas. The Mozilla page is slightly outdated. Not really an issue.

Edokter updated the task description. (Show Details)Apr 28 2015, 11:00 AM
Edokter changed the task status from Duplicate to Resolved.Jun 21 2015, 2:56 PM
Edokter claimed this task.
Edokter added subscribers: gerritbot, Fomafix.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:07 AM